<?php
   if (!defined('ABSPATH')) {
      exit; // Exit if accessed directly.
   }
   use Elementor\Icons_Manager;
   $_rand = wp_rand(5);
   $accordion_id = "accordion-" . esc_attr($_rand);
?>

<div class="neighborhoods-one__single">
   <div class="neighborhoods-one__wrap">
      <div class="neighborhoods-one__left">
         <div class="neighborhoods-one__left-wrap">
            <div class="neighborhoods-one__accordion accordion" id="<?php echo esc_attr($accordion_id) ?>">
               <?php 
                  $i = 0;
                  foreach ($settings['neighborhoods_content'] as $item){
                     $i++;
                     $has_icon = !empty($item['selected_icon']['value']);
                     $collapse = 'collapse-' . $_rand . '-' . $i;
                     $button_active = ( $i==1 ? '' : 'collapsed');
                     $content_active = ( $i==1 ? 'show' : '');
                     echo '<div class="neighborhoods-one__accordion-item accordion-item">';
                        echo '<h2 class="neighborhoods-one__accordion-header accordion-header">';
                           echo '<span class="neighborhoods-one__accordion-button ' . esc_attr($button_active) . '" data-item="item-' . $i . '" data-bs-toggle="collapse" data-bs-target="#' . $collapse . '">';
                              if($has_icon){ 
                                 Icons_Manager::render_icon($item['selected_icon'], [ 'aria-hidden' => 'true' ]); 
                              }
                              echo esc_html($item['title']);
                           echo '</span>';
                        echo '</h2>';
                        echo '<div id="' . $collapse . '" class="accordion-collapse collapse ' . esc_attr($content_active) . '" data-bs-parent="#' . esc_attr($accordion_id) . '">';
                           echo '<div class="neighborhoods-one__accordion-body">';
                              echo trim($item['content']);
                           echo '</div>';
                        echo '</div>';
                     echo '</div>';
                  }
               ?>
            </div>   
         </div>
      </div>   
      <div class="neighborhoods-one__right">
         <div class="neighborhoods-one__right-wrap">
            <?php 
               if( isset($settings['image']['url']) && $settings['image']['url'] ){
                  echo '<div class="neighborhoods-one__image">';
                     echo '<img src="' . esc_url($settings['image']['url']) . '" alt="' . esc_attr($settings['title_text']) . '"/>';
                  echo '</div>';
               }
            ?>
            <div class="neighborhoods-one__locations">
               <?php 
                  $i = 0;
                  foreach ($settings['neighborhoods_content'] as $item){
                     $i++;
                     $classes = 'elementor-repeater-item-'. esc_attr($item['_id']) . ' item-' . esc_attr($i);
                     echo '<div class="neighborhoods-one__location ' . $classes . '">';
                        echo '<div class="neighborhoods-one__map-marker"></div>';
                        echo '<div class="neighborhoods-one__map-box">';
                           echo '<div class="neighborhoods-one__map-popup">';
                              echo '<div class="neighborhoods-one__map-content">';
                                 echo '<div class="neighborhoods-one__title">' . $item['title'] . '</div>';
                                 if($item['desc']){
                                    echo '<div class="neighborhoods-one__desc">' . $item['desc'] . '</div>';
                                 }
                              echo '</div>';
                           echo '</div>';
                        echo '</div>';   
                     echo '</div>';
                  }
               ?>
            </div>
         </div>
      </div>
   </div>
</div>
