<?php
if(!function_exists('aports_themer_post_type_apartment')){
	function aports_themer_post_type_apartment(){
		$labels = array(
			'name'               => __( 'Apartments', "aports-themer" ),
			'singular_name'      => __( 'Apartment', "aports-themer" ),
			'add_new'            => __( 'Add New Apartment', "aports-themer" ),
			'add_new_item'       => __( 'Add New Apartment', "aports-themer" ),
			'edit_item'          => __( 'Edit Apartment', "aports-themer" ),
			'new_item'           => __( 'New Apartment', "aports-themer" ),
			'view_item'          => __( 'View Apartment', "aports-themer" ),
			'search_items'       => __( 'Search Apartments', "aports-themer" ),
			'not_found'          => __( 'No Apartments found', "aports-themer" ),
			'not_found_in_trash' => __( 'No Apartments found in Trash', "aports-themer" ),
			'parent_item_colon'  => __( 'Parent Apartment:', "aports-themer" ),
			'menu_name'          => __( 'Apartments', "aports-themer" ),
		);

		$args = array(
			'labels'              => $labels,
			'hierarchical'        => true,
			'description'         => 'List Apartment',
			'supports'            => array( 'title', 'editor', 'author', 'thumbnail','excerpt', 'post-formats'  ), 
			'taxonomies'          => array( 'apartment_category','post_tag' ),
			'post-formats'        => false,
			'public'              => true,
			'show_ui'             => true,
			'show_in_menu'        => true,
			'menu_position'       => 5,
			'show_in_nav_menus'   => true,
			'publicly_queryable'  => true,
			'exclude_from_search' => false,
			'has_archive'         => 'all-apartments',
			'query_var'           => true,
			'can_export'          => true,
			'rewrite'             => array(
				'slug'  => 'apartment'
			),
			'capability_type'     => 'post'
		);

		$slug = apply_filters('gavias-post-type/slug-apartment', '');
		if($slug){
		  $args['rewrite']['slug'] = $slug;
		}
		register_post_type( 'apartment', $args );

		$labels = array(
		  'name'              => __( 'Categories', "aports-themer" ),
		  'singular_name'     => __( 'Category', "aports-themer" ),
		  'search_items'      => __( 'Search Category', "aports-themer" ),
		  'all_items'         => __( 'All Categories', "aports-themer" ),
		  'parent_item'       => __( 'Parent Category', "aports-themer" ),
		  'parent_item_colon' => __( 'Parent Category:', "aports-themer" ),
		  'edit_item'         => __( 'Edit Category', "aports-themer" ),
		  'update_item'       => __( 'Update Category', "aports-themer" ),
		  'add_new_item'      => __( 'Add New Category', "aports-themer" ),
		  'new_item_name'     => __( 'New Category Name', "aports-themer" ),
		  'menu_name'         => __( 'Categories', "aports-themer" ),
		);
		// Now register the taxonomy
		register_taxonomy('category_apartment',array('apartment'),
			array(
			  	'hierarchical'      => true,
			  	'labels'            => $labels,
			  	'show_ui'           => true,
			  	'show_admin_column' => true,
			  	'query_var'         => true,
			  	'show_in_nav_menus' => false,
			  	'rewrite'           => array( 'slug' => 'category-apartment'
			),
		));
  	}
  add_action( 'init','aports_themer_post_type_apartment' );

  	add_action( 'init', 'gavias_apartment_remove_post_type_support', 10 );
  	function gavias_apartment_remove_post_type_support() {
	 	remove_post_type_support( 'apartment', 'post-formats' );
  	}
}

function gaviasthemer_apartment_query( $args ){
 	$ds = array(
		'post_type'   => 'apartment',
		'posts_per_page'  =>  12
 	);
 	$args = array_merge( $ds , $args );
 	$loop = new WP_Query($args);
 	return $loop;
}
