<?php
/**
 *
 * @package [Parent Theme]
 * @author  gaviasthemes <gaviasthemes@gmail.com>
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU Public License
 * 
 */

function aports_child_scripts() {
   wp_enqueue_style( 'aports-parent-style', get_template_directory_uri(). '/style.css');
   wp_enqueue_style( 'aports-child-style', get_stylesheet_uri());
}
add_action( 'wp_enqueue_scripts', 'aports_child_scripts', 9999 );

function custom_projects_shortcode( $atts ) {
    $atts = shortcode_atts( array(
        'posts_per_page' => 9,
    ), $atts, 'custom_projects' );

    $paged = ( get_query_var( 'paged' ) ) ? get_query_var( 'paged' ) : 1;

    $args = array(
        'post_type'      => 'projects',
        'posts_per_page' => $atts['posts_per_page'],
        'paged'          => $paged,
    );

    $query = new WP_Query( $args );

    ob_start();
    if ( $query->have_posts() ) :
        ?>
        <div class="projects-list">
            <?php while ( $query->have_posts() ) : $query->the_post(); ?>
                <div class="project-item">
                    <a href="<?php the_permalink(); ?>">
                        <div class="project-thumbnail"><?php the_post_thumbnail(); ?></div>
                        <h3 class="project-title"><?php the_title(); ?></h3>
                    </a>
                </div>
            <?php endwhile; ?>
        </div>
        <?php
        // Pagination
        echo '<div class="pagination">';
        echo paginate_links( array(
            'total'   => $query->max_num_pages,
            'current' => $paged,
        ) );
        echo '</div>';
    else :
        echo 'No projects found.';
    endif;
    wp_reset_postdata();

    return ob_get_clean();
}
add_shortcode( 'custom_projects', 'custom_projects_shortcode' );
